## org.apache.tomcat.util.buf
Interface CharChunk.CharOutputChannel

All Known Implementing Classes:
  InputBuffer, OutputBuffer, OutputBuffer

Enclosing interface:
  CharChunk

public static interface CharChunk.CharOutputChannel

When we need more space we'll either grow the buffer ( up to the limit ) or send it to a channel.

Method Summary
`void` `realWriteChars(char[] cbuf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

Method Detail

### realWriteChars

    public void realWriteChars(char[] cbuf,
                               int off,
                               int len)
                        throws java.io.IOException

  Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.